<?php header('Content-Type: text/html; charset=windows-1251'); ?>
<html><head><meta http-equiv="Content-Type" content="text/html; charset=windows-1251">
<title>Просмотр картотеки</title>
</head>
<body background="../../../../d~e~f/bkg.gif">
<TABLE width="100%" height=100% >
<TBODY>
<TR>
<TD style="BACKGROUND: silver" height=100% vAlign=center width="90%">
<?php
$ifi="3.htm";
$posl="";                         // порядковые номера заголовков ()
$l = file($ifi);                  
$kkk=0;
foreach ($l as $li => $lin)  
{if (strpos($lin,"<A name=")>0 or  strpos($lin,"karp(")>0)
{$posl=$posl.",".$li;$kkk++;}}
if (isset($_REQUEST['pass']))   //  пароль
{$pass=trim($_REQUEST['pass']);
 $pass=md5($pass,false);
}
else
{$pass="";}
$ok=false;
list($pas1, $pas2) = explode("/pages/",$_SERVER['REQUEST_URI']); 
list($pas1, $pas2) = explode(".",$pas2); 
$pas1=str_replace('%5E','^',$pas1);			//
if (strpos(getcwd ( ),"contents")>0)  // внешняя
{
$fpas=getcwd ( )."/p.txt";
}
else
{
$fpas=getcwd ( )."/".$pas1."/p.txt";
}


if (file_exists($fpas))         //  если задан пароль
{$l = file($fpas); 			    // прочитали файл пароля
 foreach ($l as $li => $lin)    // прочитаем пароль 
 {$pass1=$lin;break;}
 if ($pass!=$pass1)
 {
echo '<br><br>';

echo '<form id=feg  method="POST" enctype="multipart/form-data" action="'.$_SERVER['REQUEST_URI'].'" >';
echo '<center style="width:100%"><b style="color:red">Щелкнутая страница защищена паролем, для доступа введи пароль</b><br><br>';
echo '<input type="password" name="pass" size="25" value="">';
echo '<input type="submit" value="submit" name="pas" style="width:80px;background:transparent"> &nbsp;&nbsp;&nbsp;';
echo '<input type="hidden" value="<?php echo $fff; ?>" name="fff">';
 if ($pass!="")
{ echo "<br><br><center><b style='color:red'>ВВЕДИ ПРАВИЛЬНЫЙ ПАРОЛЬ !</b></center> ";} 

echo '<input type="hidden" value="<?php echo $pw; ?>" name="pw"></form>';
die;
}
else
{$ok=true;}

}
else
{$ok=true;}

if ($ok)
{
echo'<IFRAME id=ifrpp height="100%" width="100%" scrolling=yes  border=1 src="3-card-file.php?p=3.htm&be=0&td="></IFRAME></TD></TR>';
echo '<TR><TD align=middle>';
}
?>
<b>КАРТОТЕКА</b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<IMG border=1 onclick=mov(1) alt="на начало" src="../../../../d~e~f/pp1.gif" width=19 height=19>&nbsp;&nbsp;&nbsp; 
<IMG border=1 onclick=mov(3) alt="назад" src="../../../../d~e~f/pp2.gif" width=19 height=19>&nbsp;&nbsp;&nbsp; 
<IMG border=1 onclick=mov(2)  alt="вперед" src="../../../../d~e~f/pp3.gif" width=19 height=19>&nbsp;&nbsp;&nbsp; 
<IMG border=1 onclick=mov(4) alt="в конец" src="../../../../d~e~f/pp4.gif" width=19 height=19>&nbsp;&nbsp;&nbsp; 
<?php
echo "<b style='height:23' id=be>1</b><b style='height:23'>/</b><b id=en style='height:23'>".$kkk;
echo "<b id=ifi style='display:none'>".$ifi.'</b>';
?>
</TD></TR></TBODY></TABLE>
</body>
<script type="text/javascript">
var mg="<?php  echo substr($posl,1); ?>"
mmg=mg.split(",")
itek=0;
pz=document.all["ifrpp"].src
function mov(p)
{
if (p==1)  // начало
{
document.all["ifrpp"].src=pz.replace("be=0","be="+mmg[0])
document.all["be"].innerHTML=1
itek=0;
}
else if (p==2)  // вперед
{
itek=itek+1
if (itek>mmg.length-1)
{itek=0}
document.all["ifrpp"].src=pz.replace("be=0","be="+mmg[itek])
document.all["be"].innerHTML=itek+1
}
else if (p==3)  // назад
{
itek=itek-1
if (itek<0)
{itek=mmg.length-1}
document.all["ifrpp"].src=pz.replace("be=0","be="+mmg[itek])
document.all["be"].innerHTML=itek+1
}
else if (p==4)  // конец
{
document.all["ifrpp"].src=pz.replace("be=0","be="+mmg[mmg.length-1])
document.all["be"].innerHTML=mmg.length
itek=mmg.length-1;
}
}
function q1(t,p)
{
p.href=t+"?vis="+mg+"&scr=0"+"&td="+dp
p.click()
}
devdate=new Date();
var y="";
// Получить год(из 4 цифр)
y=devdate.getFullYear()
var m="";
//Получить месяц, от 0 до 11.
m=devdate.getMonth()+1
var c="";
//Получить число месяца, от 1 до 31.
c=devdate.getDate();
var d="";
//номер дня в неделе. Неделя  начинается с воскресенья 0(воскресенье) до 6(суббота).
d=devdate.getDay();
var dp=""
dp=y+"-"+m+"-"+c+"-"+d
dp1=y+"<br>"+m+"<br>"+c
window.onload=function ()
 {
 pz=document.all["ifrpp"].src
 pz=pz.replace("td=","td="+dp)
}
</script>


</html>
